@echo off
cls

echo AVitar 7400 Utility Installation is in progress... 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Begin localizations of subsequent environment changes in this script
setlocal ENABLEDELAYEDEXPANSION

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Checking the required installation files

IF NOT EXIST .\SetupAvitar\Setup.exe goto FileMissing
IF NOT EXIST .\SetupAvitar\SetupAvitar.msi goto FileMissing
IF NOT EXIST .\SetupAvitar\Setup.Ini goto FileMissing
IF NOT EXIST .\WinPcap_4_1_2.exe goto FileMissing
::IF NOT EXIST .\dotnetfx35.exe goto FileMissing

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Read the installated version of WinPcap from registry in a variable
IF EXIST del InstallWinPcap.vbs

echo Option Explicit >> InstallWinPcap.vbs
echo 'On Error Resume Next >> InstallWinPcap.vbs
echo Dim strSystemOSPath, strValueID, CPIdentifier, Is32bitOS >> InstallWinPcap.vbs
echo Dim strKeyPath, strValueName, strValue, versionString, strValueName1, uninstallPath, msgString, IfInstallWinPcap, errString, IfFileMissing, IsNet35, IsNet30, IsNet20, Flag >> InstallWinPcap.vbs
echo Dim strNetKeyPath, DotNetVersion, strNetValueName, NetversionString, strNetValueName1, NetmsgString, IfInstallDotNet, NeterrString, IfDotNetFileMissing, NetFlag >> InstallWinPcap.vbs
echo Dim strComputer, oReg >> InstallWinPcap.vbs
echo Dim wshNetwork, strUser >> InstallWinPcap.vbs
echo Dim objShell, NetobjShell, spath, path, Netspath, Netpath >> InstallWinPcap.vbs
echo Dim oFSO , NetoFSO >> InstallWinPcap.vbs

echo const HKEY_LOCAL_MACHINE = ^&H80000002 >> InstallWinPcap.vbs
echo strComputer = "." >> InstallWinPcap.vbs
echo Set wshNetwork = CreateObject("WScript.Network") >> InstallWinPcap.vbs
echo strUser = wshNetwork.Username >> InstallWinPcap.vbs
echo Set oReg=GetObject("winmgmts:{impersonationLevel=impersonate}!\\" ^&_  >> InstallWinPcap.vbs
echo strComputer ^& "\root\default:StdRegProv") >> InstallWinPcap.vbs
 
 ::Get the OS version, whether 32bit or 64bit
echo strSystemOSPath = "HARDWARE\DESCRIPTION\System\CentralProcessor\0" >> InstallWinPcap.vbs
echo strValueID = "Identifier" >> InstallWinPcap.vbs
echo oReg.GetStringValue HKEY_LOCAL_MACHINE, strSystemOSPath, strValueID, CPIdentifier >> InstallWinPcap.vbs
echo IF InStr(1, CPIdentifier, "x86") = 0 Then >> InstallWinPcap.vbs
echo '64bit >> InstallWinPcap.vbs
echo 	Is32bitOS = 1 >> InstallWinPcap.vbs
echo Else>> InstallWinPcap.vbs
echo '32bit >> InstallWinPcap.vbs
echo 	Is32bitOS = 0 >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs

::Get the version of WinPcap if installed
echo IF Is32bitOS = "0" Then>> InstallWinPcap.vbs
echo 	strKeyPath = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\WinPcapInst" >> InstallWinPcap.vbs
echo Else>> InstallWinPcap.vbs
echo 	strKeyPath = "SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\WinPcapInst" >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs
echo strValueName = "DisplayVersion" >> InstallWinPcap.vbs
echo strValueName1 = "DisplayIcon" >> InstallWinPcap.vbs
echo oReg.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName, versionString >> InstallWinPcap.vbs
echo oReg.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName1, uninstallPath >> InstallWinPcap.vbs

echo Flag = True >> InstallWinPcap.vbs
echo IF versionString = "4.1.0.2001" Then >> InstallWinPcap.vbs
echo 	Flag = False >> InstallWinPcap.vbs
echo Else >> InstallWinPcap.vbs
echo 	Set objShell = WScript.CreateObject("WScript.Shell") >> InstallWinPcap.vbs
echo 	spath = objShell.CurrentDirectory >> InstallWinPcap.vbs

echo 	path = """" ^& spath ^& ".\WinPcap_4_1_2.exe" ^& "" >> InstallWinPcap.vbs

echo   Set oFSO = CreateObject("scripting.FileSystemObject") >> InstallWinPcap.vbs
echo   If oFSO.FileExists("WinPcap_4_1_2.exe") = True Then >> InstallWinPcap.vbs
echo      'Do Nothing >> InstallWinPcap.vbs
echo   Else >> InstallWinPcap.vbs
echo 		errString = "WinPcap_4_1_2.exe not found. Please copy WinPcap_4_1_2.exe properly before proceeding."  >> InstallWinPcap.vbs
echo 		IfFileMissing = MsgBox(errString, 0, "File Missing") >> InstallWinPcap.vbs
echo 		IF IfFileMissing = "1" Then >> InstallWinPcap.vbs
echo			WScript.Quit >> InstallWinPcap.vbs
echo 		End If >> InstallWinPcap.vbs
::echo 	Else >> InstallWinPcap.vbs
::echo 		'Do nothing >> InstallWinPcap.vbs
echo 	End If >> InstallWinPcap.vbs
echo. End If >> InstallWinPcap.vbs
echo.
::if WinPcap is not already installed, ask user if he wants to install WinPcap on system or not
echo IF Flag = True Then >> InstallWinPcap.vbs
echo 	msgString = "WinPcap Software (version 4.1.2) is either not installed or some previous version is already installed on this workstation. The WinPcap (version 4.1.2) installer is being launched. Please follow the instructions for installing the WinPcap software"  >> InstallWinPcap.vbs
echo 	IfInstallWinPcap = MsgBox(msgString, 0, "WinPcap Installation") >> InstallWinPcap.vbs
echo.
echo 	IF IfInstallWinPcap = "1" Then >> InstallWinPcap.vbs
::User pressed "Yes"
echo 		objShell.Run path, 0, True >> InstallWinPcap.vbs
echo 	Else >> InstallWinPcap.vbs
::User pressed "No"
echo		'Do nothing >> InstallWinPcap.vbs
echo 	End If >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs


:: Check for .Net Framework and  download/nstall the framework
:: Check for .Net 3.5 or .Net 2.0
:: If both above versions are not present install .Net 2.0
echo IsNet35 = False >> InstallWinPcap.vbs
echo IsNet30 = False >> InstallWinPcap.vbs
echo IsNet20 = False >> InstallWinPcap.vbs
echo NetversionString = "0" >> InstallWinPcap.vbs
::Checking for .Net 3.5
echo IF Is32bitOS = "0" Then>> InstallWinPcap.vbs
echo 	strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" >> InstallWinPcap.vbs
echo Else>> InstallWinPcap.vbs
echo 	strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs
echo strNetValueName = "SP" >> InstallWinPcap.vbs
echo strNetValueName1 = "DisplayIcon" >> InstallWinPcap.vbs
echo oReg.GetDWORDValue HKEY_LOCAL_MACHINE, strNetKeyPath, strNetValueName, NetversionString >> InstallWinPcap.vbs
echo oReg.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName1, uninstallPath >> InstallWinPcap.vbs

echo NetFlag = True >> InstallWinPcap.vbs
echo IF NetversionString > 0 Then >> InstallWinPcap.vbs
echo 	NetFlag = False >> InstallWinPcap.vbs
echo    IsNet35 = True >> InstallWinPcap.vbs
echo Else >> InstallWinPcap.vbs
echo	IsNet35 = False >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs

echo IF IsNet35 = False Then >> InstallWinPcap.vbs
::Checking for .Net 3.0
echo 	IF Is32bitOS = "0" Then>> InstallWinPcap.vbs
echo 		strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.0" >> InstallWinPcap.vbs
echo 	Else>> InstallWinPcap.vbs
echo 		strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.0" >> InstallWinPcap.vbs
echo 	End If >> InstallWinPcap.vbs
echo 	strNetValueName = "SP" >> InstallWinPcap.vbs
echo 	strNetValueName1 = "DisplayIcon" >> InstallWinPcap.vbs
echo 	oReg.GetDWORDValue HKEY_LOCAL_MACHINE, strNetKeyPath, strNetValueName, NetversionString >> InstallWinPcap.vbs
echo 	oReg.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName1, uninstallPath >> InstallWinPcap.vbs
echo 	NetFlag = True >> InstallWinPcap.vbs
	
echo 	IF NetversionString > 0 Then >> InstallWinPcap.vbs
echo 		NetFlag = False >> InstallWinPcap.vbs
echo		IsNet30 = True >> InstallWinPcap.vbs
echo 	Else >> InstallWinPcap.vbs
echo		IsNet30 = False >> InstallWinPcap.vbs
echo 	End If >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs

::Checking for .Net 2.0
echo IF IsNet30 = False AND IsNet35 = False Then >> InstallWinPcap.vbs
echo 		IF Is32bitOS = "0" Then>> InstallWinPcap.vbs
echo 			strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727" >> InstallWinPcap.vbs
echo 		Else>> InstallWinPcap.vbs
echo 			strNetKeyPath = "SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727" >> InstallWinPcap.vbs
echo 		End If >> InstallWinPcap.vbs
echo 		strNetValueName = "SP" >> InstallWinPcap.vbs
echo 		strNetValueName1 = "DisplayIcon" >> InstallWinPcap.vbs
echo 		oReg.GetDWORDValue HKEY_LOCAL_MACHINE, strNetKeyPath, strNetValueName, NetversionString >> InstallWinPcap.vbs
echo 		oReg.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName1, uninstallPath >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs

echo NetFlag = True >> InstallWinPcap.vbs
echo IF NetversionString > 0 Then >> InstallWinPcap.vbs
	echo 	NetFlag = False >> InstallWinPcap.vbs
echo Else >> InstallWinPcap.vbs
	echo 	Set objShell = WScript.CreateObject("WScript.Shell") >> InstallWinPcap.vbs
	echo   Set NetoFSO = CreateObject("scripting.FileSystemObject") >> InstallWinPcap.vbs
	echo Netspath = "http://www.microsoft.com/downloads/en/details.aspx?FamilyID=5b2c0358-915b-4eb5-9b1d-10e506da9d0f&displaylang=en" >> InstallWinPcap.vbs
echo End If >> InstallWinPcap.vbs
echo.


::if .Net 3.5 is not already installed, ask user if he wants to install the framework on system or not
echo IF NetFlag = True Then >> InstallWinPcap.vbs
echo 	NetmsgString = ".Net 2.0 (SP2) is the minimum requirement for this application to run. Please install it and try again. "  >> InstallWinPcap.vbs
echo 	IfInstallDotNet = MsgBox(NetmsgString, 0, ".Net 2.0 (SP2) Installation") >> InstallWinPcap.vbs

echo 	IF IfInstallDotNet = "1" Then >> InstallWinPcap.vbs
::User pressed "Yes"
echo 		objShell.Run Netspath, 1, False >> InstallWinPcap.vbs
echo 	Else >> InstallWinPcap.vbs
::User pressed "No"
echo		'Do Nothing >> InstallWinPcap.vbs
echo 	End If >> InstallWinPcap.vbs
echo Else >> InstallWinPcap.vbs	
	echo Set objShell = WScript.CreateObject("WScript.Shell") >> InstallWinPcap.vbs
	echo objShell.Run ".\SetupAvitar\Setup.exe" ,0 , False >> InstallWinPcap.vbs	
echo End If >> InstallWinPcap.vbs
 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Calling the WinPcap installer script
InstallWinPcap.vbs

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Delete the intermediate files
del InstallWinPcap.vbs


:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Calling the AVitar installer
::.\SetupAvitar\Setup.exe


echo.
echo.
echo "Task completed. !!!"
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


:InstallationExit
:: End any localizations of environment changes in this script
endlocal

exit /B 0

:FileMissing
echo Some of the installation files are missing. Please copy the files properly before proceeding.
echo Exiting Installer....
pause
exit /B 0
